> For the complete documentation index, see [llms.txt](https://docs.bluestorm.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bluestorm.io/checks/domain_model/dom_0007.md).

# Naming standards - Domain Model

<table><thead><tr><th width="138">Check ID</th><th>DOM_0007</th></tr></thead><tbody><tr><td>Category</td><td>Standards</td></tr><tr><td>Summary</td><td>This check will compare the name of your domain model elements to the naming standards you set. By default the Mendix Best Practices for Developers are used. </td></tr><tr><td>Options</td><td>This is a complex check that has many different options. See the tables below for all available options. In all cases where a name format is specified the following configuration options apply:<br><br>- Use a regex in the format supported by the Mendix isMatch() string function.<br>- In some cases (described in the table below) additional variables may be used such as %UserRole%, %EntityName%, %AttributeName%, etc.<br>- In all cases where a regex is used as an option, if you leave it empty the check will be ignored.</td></tr><tr><td>Pass</td><td>The name of the element matches your standard.</td></tr><tr><td>Fail</td><td>The name of the element does not match your standard.</td></tr></tbody></table>

### Domain Model

<table><thead><tr><th width="182">Option Name</th><th>Details</th></tr></thead><tbody><tr><td>Association Names</td><td>If TRUE, associations should contain the name of the associated entities. Default: TRUE.</td></tr><tr><td>Attribute Names</td><td>If TRUE, attributes names should not start with their entity name. Default: TRUE.</td></tr><tr><td>Calculated Attribute Microflow</td><td>Regex to match calculated attribute names. The variables %EntityName% and %AttributeName% may be used. Default: CAL_%EntityName%_%AttributeName%</td></tr><tr><td>Entity Names</td><td>If TRUE, entity names should be unique across the project. Default: TRUE.</td></tr></tbody></table>

### Event Handlers <a href="#id-69.mxom_checks.policycheck.groupbox1_psj_171_header" id="id-69.mxom_checks.policycheck.groupbox1_psj_171_header"></a>

<table><thead><tr><th width="256">Option Name</th><th>Details</th></tr></thead><tbody><tr><td>Before Commit</td><td>Regex to match the event handler. The variable %EntityName% may be used. Default: BCO_%EntityName%</td></tr><tr><td>After Commit</td><td>Regex to match the event handler. The variable %EntityName% may be used. Default: ACO_%EntityName%</td></tr><tr><td>Before Create</td><td>Regex to match the event handler. The variable %EntityName% may be used. Default: BCR_%EntityName%</td></tr><tr><td>After Create</td><td>Regex to match the event handler. The variable %EntityName% may be used. Default: ACR_%EntityName%</td></tr><tr><td>Before Delete</td><td>Regex to match the event handler. The variable %EntityName% may be used. Default: BDE_%EntityName%</td></tr><tr><td>After Delete</td><td>Regex to match the event handler. The variable %EntityName% may be used. Default: ADE_%EntityName%</td></tr><tr><td>Before Rollback</td><td>Regex to match the event handler. The variable %EntityName% may be used. Default: BRO_%EntityName%</td></tr><tr><td>After Rollback</td><td>Regex to match the event handler. The variable %EntityName% may be used. Default: ARO_%EntityName%</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bluestorm.io/checks/domain_model/dom_0007.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
